Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get sms settings.

Get sms settings. An organization-scoped read using JSON filter arguments; requires settings.read. Pagination cursors must be reused only with the same organization, operation and filters.

POST/queries/get_sms_settings
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Request body
requiredapplication/json
object
Responses
200

Successful read.

dataobjectrequired
Show properties
brand_statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
campaign_statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
can_choose_numberbooleanrequired
carrier_review_started_atstring<date-time>
inbox_readybooleanrequired
number_statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
phone_numberstring
provisioning_statusstring
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
provisioning_stepstring
Show properties
Any of:
string
string
string
string
string
string
string
string
registration_statusstring
Show properties
Any of:
string
string
string
string
string
string
string
string
string
string
string
string
string
string
updated_atstring<date-time>
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.soljio.com/v0/queries/get_sms_settings' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{
  "data": {
    "brand_status": "not_started",
    "campaign_status": "not_started",
    "can_choose_number": true,
    "carrier_review_started_at": "2019-08-24T14:15:22Z",
    "inbox_ready": true,
    "number_status": "not_started",
    "phone_number": "string",
    "provisioning_status": "queued",
    "provisioning_step": "brand",
    "registration_status": "draft",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}